Skip to content
Changelog

Report a bug

Webex integration: operations for AI agents

Webex connects to Type.com as an integration. This page lists the 1912 operations documented for Claude and Codex in Type.com: 935 read, 428 write, 549 destructive.

About Webex

Webex is a Cisco-powered video conferencing and collaboration platform offering online meetings, webinars, screen sharing, and team messaging

Categories: Communication & Meetings

How to connect Webex to Type.com

Access
Organization connection: one shared account for the workspace.
MCP
Selected AI voice-generation operations are not available through Type’s MCP server. Other operations remain available through MCP, subject to your connection’s permissions. These MCP restrictions do not apply within Type.

To add the connection, follow the steps in Space connections.

Documented operations

1912 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

1912 operations listed.

Attachment Actions

  • Read

    Get Attachment Action Details

    Shows details for a attachment action, by ID. Specify the attachment action ID in the id URI parameter.

  • Write

    Create an Attachment Action

    Create a new attachment action.

ECM folder linking

  • Read

    List ECM folder

    Lists the ECM folder of a room specified by the roomId query parameter.

  • Read

    Get ECM Folder Details

    Get details for a room ECM folder with the specified folder id.

  • Write

    Create an ECM folder configuration

    Adds an existing ECM folder to a room as (default or reference) file storage. There is no data validation happening for the request. Please ensure the correct driveId and itemId. These can be collected from the MS Graph API.

  • Destructive

    Update an ECM Linked Folder

    Updates the configuration of the specified Room folder. There is no data validation happening for the request. Please ensure the correct driveId and itemId. These can be collected from the MS Graph API. The contentUrl and displayName are used only for user convenience.

Events

  • Read

    List Events

    List events in your organization. Several query parameters are available to filter the events returned in the response. Long result sets will be split into pages.

  • Read

    Get Event Details

    Shows details for an event, by event ID. Specify the event ID in the eventId parameter in the URI.

  • Read

    List Event Specifications

    List the event types available for use in eventflows[]. Each entry describes the event name, payload schema, and any contextual metadata bound when the event fires. Scope: cjp:configread

Hybrid Data Security

  • Read

    Get organization details

    Retrieve details for an Hybrid Data Security organization, such as the organization name, type of organization. To obtain the Organization ID needed for this API, use the Organizations API

  • Read

    List clusters for an Hybrid Data Security organization

    Retrieve a list of all clusters for a specific Hybrid Data Security organization, including cluster status, release channel, and upgrade schedule details. To obtain the Organization ID needed for this API, use the Organizations API

  • Read

    Get cluster details

    Retrieve details for a specific Hybrid Data Security cluster, such as the cluster name, cluster status, upgrade schedule, and Hybrid Data Security nodes in the cluster. To obtain the Cluster ID needed for this API, use the Get organization details API

  • Read

    List nodes for an Hybrid Data Security cluster

    Retrieve a list of all nodes for a specific Hybrid Data Security cluster, including availability, proxy details, deployment type, and release version. To obtain the Cluster ID needed for this API, use the List clusters for an Hybrid Data Security organization API

  • Read

    Get node details

    Retrieve details for a specific Hybrid Data Security node, such as host name, release version, proxy details, deployment and build type, availability details, etc. To obtain the Node ID needed for this API, use the Get cluster details API

  • Read

    Get database details for the Hybrid Data Security organization

    Retrieve details of database information for an Hybrid Data Security organization, such as database type and version used. To obtain the Organization ID needed for this API, use the Organizations API

  • Read

    Get Multi-Tenant Hybrid Data Security organization details

    Retrieve details of Multi-Tenant Hybrid Data Security organization such as Organization Name and ID, CMK state and state of Tenants Organizations. To obtain the Organization ID needed for this API, use the Organizations API

  • Read

    Get alarms for an Hybrid Data Security node

    Returns the alarm details for a single Hybrid Data Security node for the provided time range (last 24 hours). To obtain the Node ID needed for this API, use the List nodes for an Hybrid Data Security cluster API

  • Read

    Get test results for Hybrid Data Security node

    Get the latest results of the network tests triggered for a single Hybrid Data Security node. The test results are generated as part of the Network Test execution on the node. The network tests include the Bandwidth Test, DNS Resolution Test, and HTTPS Connectivity Test.

  • Read

    Get resource usage for an Hybrid Data Security node

    Retrieve CPU, memory, and disk resource usage details for a specific Hybrid Data Security node over the requested time range. To obtain the Node ID needed for this API, use the List nodes for an Hybrid Data Security cluster API

  • Read

    Get availability details for Hybrid Data Security cluster

    Get the availability details for an Hybrid Data Security cluster, where each segment specifies the start and end times, as well as the number of online, offline, and total nodes within that segment.

Memberships

  • Read

    List Memberships

    Lists all room memberships. By default, lists memberships for rooms to which the authenticated user belongs. Use query parameters to filter the response. Use roomId to list memberships for a room, by ID.

  • Read

    Get Membership Details

    Get details for a membership by ID. Specify the membership ID in the membershipId URI parameter.

  • Write

    Create a Membership

    Add someone to a room by Person ID or email address, optionally making them a moderator. Compliance Officers cannot add people to empty (team) spaces.

  • Destructive

    Update a Membership

    Updates properties for a membership by ID. Specify the membership ID in the membershipId URI parameter.

  • Destructive

    Delete a Membership

    Deletes a membership by ID. Specify the membership ID in the membershipId URI parameter. The membership for the last moderator of a Team's General space may not be deleted; promote another user to team moderator first.

Messages

  • Read

    List Messages

    Lists all messages in a room. Each message will include content attachments if present. The list sorts the messages in descending order by creation date. Long result sets will be split into pages.

  • Read

    List Direct Messages

    List all messages in a 1:1 (direct) room. Use the personId or personEmail query parameter to specify the room. Each message will include content attachments if present. The list sorts the messages in descending order by creation date.

  • Read

    Get Message Details

    Show details for a message, by message ID. Specify the message ID in the messageId parameter in the URI.

  • Write

    Create a Message

    Post a plain text or rich text message, and optionally, a file attachment attachment, to a room. The files parameter is an array, which accepts multiple values to allow for future expansion, but currently only one file may be included with the message.

  • Destructive

    Edit a Message

    Update a message you have posted not more than 10 times. Specify the messageId of the message you want to edit. Edits of messages containing files or attachments are not currently supported.

  • Destructive

    Delete a Message

    Delete a message, by message ID. Specify the message ID in the messageId parameter in the URI.

  • Destructive

    Delete a Meeting Message

    Deletes a Meeting Message from the In Meeting Chat, using its ID. This ID can be retrieved by a Compliance Officer using the events API filtering on the meetingMessages resource type. NOTE: When viewing the response from the events API, there are 2 id fields.

People

  • Read

    List People

    List people in your organization. For most users, either the email or displayName parameter is required. Admin users can omit these fields and list all users in their organization.

  • Read

    Get Person Details

    Shows details for a person, by ID. Response properties associated with a user's presence status, such as status or lastActivity, will only be displayed for people within your organization or an organization you manage.

  • Read

    Get My Own Details

    Get profile details for the authenticated user. This is the same as GET /people/{personId} using the Person ID associated with your Auth token. Admin users can include Webex Calling (BroadCloud) user details in the response by specifying callingData parameter as true.

  • Write

    Create a Person

    Create a new user account for a given organization. Only an admin can create a new user account. At least one of the following body parameters is required to create a new user: displayName, firstName, lastName.

  • Destructive

    Update a Person

    Update details for a person, by ID. Specify the person ID in the personId parameter in the URI. Only an admin can update a person details. Include all details for the person. This action expects all user details to be present in the request.

  • Destructive

    Delete a Person

    Remove a person from the system. Required Administrator Roles: The following administrators have permission to use this API: Customer Organization: - Full administrator - User administrator Partner/External Access: - External full administrator Note: External read-only administr…

Room Tabs

  • Read

    List Room Tabs

    Lists all Room Tabs of a room specified by the roomId query parameter.

  • Read

    Get Room Tab Details

    Get details for a Room Tab with the specified room tab ID.

  • Write

    Create a Room Tab

    Add a tab with a specified URL to a room.

  • Destructive

    Update a Room Tab

    Updates the content URL of the specified Room Tab ID.

  • Destructive

    Delete a Room Tab

    Deletes a Room Tab with the specified ID.

Rooms

  • Read

    List Rooms

    List rooms to which the authenticated user belongs to. The title of the room for 1:1 rooms will be the display name of the other person. Please use the memberships API to list the people in the space. Long result sets will be split into pages.

  • Read

    Get Room Details

    Shows details for a room, by ID. The title of the room for 1:1 rooms will be the display name of the other person. When a Compliance Officer lists 1:1 rooms, the "other" person cannot be determined.

  • Read

    Get Room Meeting Details

    The meetingInfo API is deprecated and will be EOL on Jan 31, 2025. Meetings in the WSMP must be scheduled and licensed via the meetings backend. The Create a Meeting endpoint will provide the SIP address for the meeting to call.

  • Write

    Create a Room

    Creates a room. The authenticated user is automatically added as a member of the room. See the Memberships API to learn how to add more people to the room.

  • Destructive

    Update a Room

    Updates details for a room, by ID. Specify the room ID in the roomId parameter in the URI. A space can only be put into announcement mode when it is locked. Any space participant or compliance officer can convert a space from public to private.

  • Destructive

    Delete a Room

    Deletes a room, by ID. Deleted rooms cannot be recovered. As a security measure to prevent accidental deletion, when a non moderator deletes the room they are removed from the room instead. Deleting a room that is part of a team will archive the room instead.

Team Memberships

  • Read

    List Team Memberships

    Lists all team memberships for a given team, specified by the teamId query parameter. Use query parameters to filter the response.

  • Read

    Get Team Membership Details

    Shows details for a team membership, by ID. Specify the team membership ID in the membershipId URI parameter.

  • Write

    Create a Team Membership

    Add someone to a team by Person ID or email address, optionally making them a moderator.

  • Destructive

    Update a Team Membership

    Updates a team membership, by ID. Specify the team membership ID in the membershipId URI parameter.

  • Destructive

    Delete a Team Membership

    Deletes a team membership, by ID. Specify the team membership ID in the membershipId URI parameter. The team membership for the last moderator of a team may not be deleted; promote another user to team moderator first.

Teams

  • Read

    List Teams

    Lists teams to which the authenticated user belongs.

  • Read

    Get Team Details

    Shows details for a team, by ID. Specify the team ID in the teamId parameter in the URI.

  • Write

    Create a Team

    Creates a team. The authenticated user is automatically added as a member of the team. See the Team Memberships API to learn how to add more people to the team.

  • Destructive

    Update a Team

    Updates details for a team, by ID. Specify the team ID in the teamId parameter in the URI.

  • Destructive

    Delete a Team

    Deletes a team, by ID. Specify the team ID in the teamId parameter in the URI.

Webhooks

  • Read

    List Webhooks

    List all of your webhooks.

  • Read

    Get Webhook Details

    Shows details for a webhook, by ID. Specify the webhook ID in the webhookId parameter in the URI.

  • Write

    Create a Webhook

    Creates a webhook. To learn more about how to create and use webhooks, see The Webhooks Guide.

  • Destructive

    Update a Webhook

    Updates a webhook, by ID. You cannot use this call to deactivate a webhook, only to activate a webhook that was auto deactivated. The fields that can be updated are name, targetURL, secret and status. All other fields, if supplied, are ignored.

  • Destructive

    Delete a Webhook

    Deletes a webhook, by ID. Specify the webhook ID in the webhookId parameter in the URI.

Chats

  • Read

    List Meeting Chats

    Lists the meeting chats of a finished meeting instance specified by meetingId. You can set a maximum number of chats to return. Use this operation to list the chats of a finished meeting instance when they are ready.

  • Destructive

    Delete Meeting Chats

    Deletes the meeting chats of a finished meeting instance specified by meetingId. Use this operation to delete the chats of a finished meeting instance when they are ready. Please note that only meeting instances in state ended are supported for meetingId.

Closed Captions

  • Read

    List Meeting Closed Captions

    Lists closed captions of a finished meeting instance specified by meetingId. Closed captions are ready 15 minutes after the meeting is finished. Only meeting instances in state ended are supported for meetingId.

  • Read

    List Meeting Closed Caption Snippets

    Lists snippets of a meeting closed caption specified by closedCaptionId.

  • Read

    Download Meeting Closed Caption Snippets

    Download meeting closed caption snippets from the meeting closed caption specified by closedCaptionId formatted either as a Video Text Track (.vtt) file or plain text (.txt) file.

Invitees

  • Read

    List Meeting Invitees

    Lists meeting invitees for a meeting with a specified meetingId. You can set a maximum number of invitees to return. This operation can be used for meeting series, scheduled meetings, and ended or ongoing meeting instance objects.

  • Read

    Get a Meeting Invitee

    Retrieve details for a meeting invitee identified by a meetingInviteeId in the URI.

  • Write

    Create a Meeting Invitee

    Invite a person to attend a meeting. Identify the invitee in the request body, by email address. The sendEmail parameter is true by default and the meeting emails will be sent to the invitee's email. Please set sendEmail to false to prevent the invitee from receiving emails.

  • Write

    Create Meeting Invitees

    Invite people to attend a meeting in bulk. Identify each invitee by the email address of each item in the items of the request body. Each invitee should have a unique email. This API limits the maximum size of items in the request body to 100.

  • Destructive

    Update a Meeting Invitee

    Update details for a meeting invitee identified by a meetingInviteeId in the URI.

  • Destructive

    Delete a Meeting Invitee

    Removes a meeting invitee identified by a meetingInviteeId specified in the URI. The deleted meeting invitee cannot be recovered. If the meeting invitee is associated with a meeting series, the invitee will be removed from the entire meeting series.

Participants

  • Read

    List Meeting Participants

    List all participants in an in-progress meeting or an ended meeting. The meetingId parameter is required, which is the unique identifier for the meeting.

  • Read

    Query Meeting Participants with Email

    Query participants in a live meeting, or after the meeting, using participant's email. The meetingId parameter is the unique identifier for the meeting and is required.

  • Read

    Get Meeting Participant Details

    Get a meeting participant details of a live or post meeting. The participantId is required to identify the meeting and the participant.

  • Write

    Admit Participants

    To admit participants into a live meeting or its breakout sessions in bulk. If breakoutSessionId is null for all the requested participants, they are admitted into the main session of the meeting.

  • Write

    Call Out a SIP Participant

    Initiate a call to a SIP participant to join a meeting. If a user invoking the API is not a Service App, the user must join the meeting before invoking the API. If a user is a Service App, the service app can invoke the API without joining the meeting.

  • Destructive

    Update a Participant

    Mute, un-mute, expel, or admit a participant in a live meeting. The participantId is required to identify the meeting and the participant. Notes: The owner of the OAuth token calling this API needs to be the meeting host or co-host.

  • Destructive

    Cancel Calling Out a SIP Participant

    Cancel the call to a SIP participant before the ringing on the invited SIP device stops. The ringing on the invited SIP device stops in 30 seconds if there is no response. If a user invoking the API is not a Service App, the user must join the meeting before invoking the API.

Meeting Polls

  • Read

    List Meeting Polls

    Lists all the polls and the poll questions in a meeting when ready. Only meeting instances in state ended or inProgress are supported for meetingId. No pagination for this API because we don't expect a large number of questions for each meeting.

  • Read

    Get Meeting PollResults

    List the meeting polls, the poll's questions, and answers from the meeting when ready. Only meeting instances in state ended or inProgress are supported for meetingId. Long result sets will be split into pages.

  • Read

    List Respondents of a Question

    Lists the respondents to a specific questions in a poll. Only meeting instances in state ended or inProgress are supported for meetingId. Long result sets are split into pages. The list of poll respondents are available within 15 minutes following the meeting.

Preferences

  • Read

    Get Meeting Preference Details

    Retrieves meeting preferences for the authenticated user.

  • Read

    Get Personal Meeting Room Options

    Retrieves the Personal Meeting Room options for the authenticated user.

  • Read

    Get Audio Options

    Retrieves audio options for the authenticated user.

  • Read

    Get Video Options

    Retrieves video options for the authenticated user.

  • Read

    Get Scheduling Options

    Retrieves scheduling options for the authenticated user.

  • Read

    Get Site List

    Retrieves the list of Webex sites that the authenticated user is set up to use. When the admin tries to get the site list via userEmail, if siteUrl is not specified, the API searches the user ID from the admin's default site.

  • Write

    Insert Delegate Emails

    Insert delegate emails for the authenticated user.

  • Write

    Batch Refresh Personal Meeting Room ID

    Refreshes personal room IDs automatically according to the current personal room ID rule of the target site or by the values specified by the admin user.

  • Destructive

    Update Personal Meeting Room Options

    Updates Personal Meeting Room options for the authenticated user.

  • Destructive

    Update Audio Options

    Updates audio options for the authenticated user.

  • Destructive

    Update Video Options

    Updates video options for the authenticated user.

  • Destructive

    Update Scheduling Options

    Updates scheduling options for the authenticated user. If delegateEmails is null or not specified, the user's delegate emails are not changed. If delegateEmails is specified and not empty, the user's delegate emails are updated with the specified emails.

  • Destructive

    Delete Delegate Emails

    Delete delegate emails for the authenticated user.

  • Destructive

    Update Default Site

    Updates the default site for the authenticated user.

Meeting Q and A

  • Read

    List Meeting Q and A

    Lists questions and answers from a meeting, when ready. Notes: Only meeting instances in state ended or inProgress are supported for meetingId. Long result sets will be split into pages.

  • Read

    List Answers of a Question

    Lists the answers to a specific question asked in a meeting. Only meeting instance in state ended or inProgress are supported for meetingId. Long result sets will be split into pages.

Meeting Qualities

  • Read

    Get Meeting Qualities

    Get quality data for a meeting, by meetingId. Only organization administrators can retrieve meeting quality data.

Session Types

  • Read

    List Site Session Types

    List session types for a specific site.

  • Read

    List User Session Type

    List session types for a specific user.

  • Destructive

    Update User Session Types

    Assign session types to specific users. At least one of the following body parameters is required to update a specific user session type: personId, email.

Summaries

  • Read

    Get Summary by Meeting ID

    Get the summary of an ended meeting instance by the meeting ID.

  • Read

    Get Summary For Compliance Officer

    Lists available or deleted summaries of an ended meeting instance by meeting ID. This API can only be accessed by compliance officers.

  • Destructive

    Delete a Summary

    Removes a summary with a specified summary ID. The deleted summary cannot be recovered. A deleted summary can not be accessed by regular users, i.e. host or attendees, but can be access by compliance officers

Transcripts

  • Read

    List Meeting Transcripts

    Lists available transcripts of an ended meeting instance. Use this operation to list transcripts of an ended meeting instance when they are ready. Please note that only meeting instances in state ended are supported for meetingId.

  • Read

    List Meeting Transcripts For Compliance Officer

    Lists available or deleted transcripts of an ended meeting instance for a specific site. The returned list is sorted in descending order by the date and time that the transcript was created. Request Header timezone: Time zone in conformance with the IANA time zone database.

  • Read

    Download a Meeting Transcript

    Download a meeting transcript from the meeting transcript specified by transcriptId.

  • Read

    List Snippets of a Meeting Transcript

    Lists snippets of a meeting transcript specified by transcriptId. Use this operation to list snippets of a meeting transcript when they are ready.

  • Read

    Get a Transcript Snippet

    Retrieves details for a transcript snippet specified by snippetId from the meeting transcript specified by transcriptId.

  • Destructive

    Update a Transcript Snippet

    Updates details for a transcript snippet specified by snippetId from the meeting transcript specified by transcriptId.

  • Destructive

    Delete a Transcript

    Removes a transcript with a specified transcript ID. The deleted transcript cannot be recovered.

Meetings Summary Report

  • Read

    List Meeting Usage Reports

    List meeting usage reports of all the users on the specified site by an admin. You can specify a date range and the maximum number of meeting usage reports to return. The list returned is sorted in descending order by the date and time the meetings were started.

  • Read

    List Meeting Attendee Reports

    Lists of meeting attendee reports by a date range, the maximum number of meeting attendee reports, a meeting ID, a meeting number or a meeting title.

Meetings

  • Read

    Get a Meeting By an Admin

    Retrieves details for a meeting with a specified meeting ID by an admin.

  • Read

    List Meetings By an Admin

    Retrieves details for meetings by an admin with a specified meeting number or web link. Please note that there are various products in the Webex Suite such as Meetings and Events.

  • Read

    List Group Meetings

    List group meetings with a specified meeting number or web link by a service app which has group meeting access. You can specify the personId parameter or hostEmail header of whom the meetings will be retrieved.

  • Read

    List Meetings

    The previous List Meetings of a Meeting Series API is merged into the List Meetings API. Retrieves details for meetings with a specified meeting number, web link, meeting type, etc. Please note that there are various products in the Webex Suite such as Meetings and Events.

  • Read

    Get a Meeting

    Retrieves details for a meeting with a specified meeting ID. If the meetingId value specified is for a meeting series and current is true, the operation returns details for the current scheduled meeting of the series, i.e.

  • Read

    List Meeting Templates

    Retrieves the list of meeting templates that is available for the authenticated user. There are separate lists of meeting templates for different templateType, locale and siteUrl.

  • Read

    Get a Meeting Template

    Retrieves details for a meeting template with a specified meeting template ID. Request Header timezone: Time zone for time stamps in response body, defined in conformance with the IANA time zone database. The default value is UTC if not specified.

  • Read

    Get Meeting Control Status

    Get the meeting control of a live meeting, which is consisted of meeting control status on "locked" and "recording" to reflect whether the meeting is currently locked and there is recording in progress.

  • Read

    List Meeting Session Types

    List all the meeting session types enabled for a given user.

  • Read

    Get a Meeting Session Type

    Retrieves details for a meeting session type with a specified session type ID.

  • Read

    Get registration form for a meeting

    Get a meeting's registration form to understand which fields are required.

  • Read

    List Meeting Registrants

    Meeting's host and cohost can retrieve the list of registrants for a meeting with a specified meeting Id.

  • Read

    Get Detailed Information for a Meeting Registrant

    Retrieves details for a meeting registrant with a specified registrant Id.

  • Read

    Query Meeting Registrants

    Meeting's host and cohost can query the list of registrants for a meeting with a specified meeting ID and registrants email.

  • Read

    List Meeting Interpreters

    Lists meeting interpreters for a meeting with a specified meetingId. This operation can be used for meeting series, scheduled meeting and ended or ongoing meeting instance objects.

  • Read

    Get a Meeting Interpreter

    Retrieves details for a meeting interpreter identified by meetingId and interpreterId in the URI.

  • Read

    List Meeting Breakout Sessions

    Lists meeting breakout sessions for a meeting with a specified meetingId. This operation can be used for meeting series, scheduled meeting and ended or ongoing meeting instance objects. See the Webex Meetings guide for more information about the types of meetings.

  • Read

    Get a Meeting Survey

    Retrieves details for a meeting survey identified by meetingId. Request Header hostEmail: Email address for the meeting host. This parameter is only used if the user or application calling the API has the admin on-behalf-of scopes.

  • Read

    List Meeting Survey Results

    Retrieves results for a meeting survey identified by meetingId. Request Header timezone: Time zone for time stamps in response body, defined in conformance with the IANA time zone database. The default value is UTC if not specified. hostEmail: Email address for the meeting host.

  • Read

    List Invitation Sources

    Lists invitation sources for a meeting. Request Header hostEmail: Email address for the meeting host. This parameter is only used if the user or application calling the API has the admin on-behalf-of scopes.

  • Read

    List Meeting Tracking Codes

    Lists tracking codes on a site by a meeting host. The result indicates which tracking codes and what options can be used to create or update a meeting on the specified site. The options here differ from those in the site-level tracking codes and the user-level tracking codes.

  • Write

    Patch a Group Meeting

    Patches details for a group meeting with a specified meeting ID by a service app which has group meeting access. This operation applies to meeting series and scheduled meetings. It doesn't apply to ended or in-progress meeting instances.

  • Write

    Update Group Meeting Control Status

    Update meeting recording control status by a service app which has group meeting access. The service app can use this API to start, stop, pause, or resume meeting recording by providing an action value.

  • Write

    Create a Meeting

    Creates a new meeting. Regular users can schedule up to 100 meetings in 24 hours and admin users up to 3000 overall or 800 for a single user. Please note that the failed requests are also counted toward the limits. The spark:all scope is required when roomId is specified.

  • Write

    Patch a Meeting

    If only guests are waiting in the lobby and the host or cohost has not started the meeting, the meeting state remains inProgress for 5 minutes after the last guest leaves. The meeting cannot be patched during this time.

  • Write

    Join a Meeting

    Retrieves links for a meeting with a specified meetingId, meetingNumber, or webLink that allow users to start or join the meeting directly without logging in and entering a password.

  • Write

    Register a Meeting Registrant

    Register a new registrant for a meeting. When a meeting or webinar is created, this API can only be used if Registration is checked on the page or the registration attribute is specified through the Create a Meeting API.

  • Write

    Batch register Meeting Registrants

    Bulk register new registrants for a meeting. When a meeting or webinar is created, this API can only be used if Registration is checked on the page or the registration attribute is specified through the Create a Meeting API.

  • Write

    Batch Approve Meeting Registrants

    Batch approve a set of registrants for a meeting by the meeting host or cohost.

  • Write

    Batch Reject Meeting Registrants

    Batch reject a set of registrants for a meeting by the meeting host or cohost.

  • Write

    Batch Cancel Meeting Registrants

    Batch cancel a set of registrants for a meeting by the meeting host or cohost.

  • Write

    Batch Delete Meeting Registrants

    Batch delete a set of registrants for a meeting by the meeting host or cohost.

  • Write

    Create a Meeting Interpreter

    Assign an interpreter to a bi-directional simultaneous interpretation language channel for a meeting.

  • Write

    Create Invitation Sources

    Creates one or more invitation sources for a meeting.

  • Write

    Reassign Meetings to a New Host

    Reassigns a list of meetings to a new host by an admin user. All the meetings of meetingIds should belong to the same site, which is the siteUrl in the request header, if specified, or the admin user's preferred site, if not specified.

  • Write

    End a Meeting

    Ends a meeting with a specified meeting ID. This operation applies to meeting series, scheduled meetings, and in-progress meetings. Only the meeting host, cohost, or compliance officer can end a meeting with this API.

  • Destructive

    Update a Meeting

    The PUT method is still supported and behaves the same as before, will be deprecated in the future. Use the PATCH method instead.

  • Destructive

    Delete a Meeting

    If only guests are waiting in the lobby and the host or cohost has not started the meeting, the meeting state remains inProgress for 5 minutes after the last guest leaves. The meeting cannot be deleted during this time.

  • Destructive

    Update Meeting Control Status

    To start, pause, resume, or stop a meeting recording; To lock or unlock an on-going meeting.

  • Destructive

    Update Meeting Registration Form

    Enable or update a registration form for a meeting.

  • Destructive

    Delete Meeting Registration Form

    Disable the registration form for a meeting.

  • Destructive

    Delete a Meeting Registrant

    Meeting's host or cohost can delete a registrant with a specified registrant ID.

  • Destructive

    Update Meeting Simultaneous interpretation

    Updates simultaneous interpretation options of a meeting with a specified meeting ID. This operation applies to meeting series and scheduled meetings. It doesn't apply to ended or in-progress meeting instances.

  • Destructive

    Update a Meeting Interpreter

    Updates details for a meeting interpreter identified by meetingId and interpreterId in the URI.

  • Destructive

    Delete a Meeting Interpreter

    Removes a meeting interpreter identified by meetingId and interpreterId in the URI. The deleted meeting interpreter cannot be recovered.

  • Destructive

    Update Meeting Breakout Sessions

    Updates breakout sessions of a meeting with a specified meeting ID in the pre-meeting state. This operation applies to meeting series and scheduled meetings.

  • Destructive

    Delete Meeting Breakout Sessions

    Deletes breakout sessions with a specified meeting ID. The deleted breakout sessions cannot be recovered. The value of enabledBreakoutSessions attribute is set to false automatically. This operation applies to meeting series and scheduled meetings.

Tracking Codes

  • Read

    List Tracking Codes

    Lists tracking codes on a site by an admin user. If siteUrl is specified, tracking codes of the specified site will be listed; otherwise, tracking codes of the user's preferred site will be listed.

  • Read

    Get a Tracking Code

    Retrieves details for a tracking code by an admin user. If siteUrl is specified, the tracking code is retrieved from the specified site; otherwise, the tracking code is retrieved from the user's preferred site.

  • Read

    Get User Tracking Codes

    Lists user's tracking codes by an admin user. At least one parameter, either personId, or email is required. personId must come before email if both are specified. Please note that email is specified in the request header.

  • Write

    Create a Tracking Code

    Create a new tracking code by an admin user. The siteUrl is required. The operation creates a tracking code for the specified site. All or a user's available Webex sites can be retrieved by the Get Site List API.

  • Destructive

    Update a Tracking Code

    Updates details for a tracking code by an admin user. The siteUrl is required. The operation updates a tracking code for the specified site. All of a user's available Webex sites can be retrieved by the Get Site List API.

  • Destructive

    Delete a Tracking Code

    Deletes a tracking code by an admin user. The siteUrl is required. The operation deletes a tracking code for the specified site. All of a user's available Webex sites can be retrieved by the Get Site List API.

  • Destructive

    Update User Tracking Codes

    Updates tracking codes for a specified user by an admin user. The siteUrl is required. The operation updates a user's tracking code on the specified site. All a user's available Webex sites can be retrieved by the Get Site List API.

Recording Report

  • Read

    List of Recording Audit Report Summaries

    Lists of recording audit report summaries. You can specify a date range and the maximum number of recording audit report summaries to return. Only recording audit report summaries of meetings hosted by or shared with the authenticated user will be listed.

  • Read

    Get Recording Audit Report Details

    Retrieves details for a recording audit report with a specified recording ID. Only recording audit report details of meetings hosted by or shared with the authenticated user may be retrieved. Request Header timezone: Time zone in conformance with the IANA time zone database.

  • Read

    List Meeting Archive Summaries

    Lists of meeting archive summaries. You can specify a date range and the maximum number of meeting archive summaries to return. Meeting archive summaries are only available to full administrators, not even the meeting host.

  • Read

    Get Meeting Archive Details

    Retrieves details for a meeting archive report with a specified archive ID, which contains recording metadata. Meeting archive details are only available to full administrators, not even the meeting host.

Recordings

  • Read

    List Recordings

    This API is still supported and behaves the same as before, but will be deprecated in the future. Due to limited support for special characters when filtering recordings by topic, it is recommended to use the new Query Recordings API instead. Lists recordings.

  • Read

    Query Recordings

    Queries recordings with filters in the request body. You can specify a date range, a parent meeting ID, the maximum number of recordings to return, and additional filters such as siteUrl, integrationTag, hostEmail, topic, format, serviceType, and status.

  • Read

    List Recordings For an Admin or Compliance Officer

    This API is still supported and behaves the same as before, but will be deprecated in the future. Due to limited support for special characters when filtering recordings by topic, it is recommended to use the new Query Recordings For an Admin or Compliance Officer API instead.

  • Read

    Query Recordings For an Admin or Compliance Officer

    Queries recordings for an admin or compliance officer with filters in the request body. You can specify a date range, a parent meeting ID, the maximum number of recordings to return, and additional filters such as siteUrl, integrationTag, topic, format, serviceType, and status.

  • Read

    Get Recording Details

    Retrieves details for a recording with a specified recording ID. Only recordings of meetings hosted by or shared with the authenticated user may be retrieved. Request Header timezone: Time zone in conformance with the IANA time zone database.

  • Read

    List Group Recordings

    List group recordings for a service app which has group recording access. You can specify a date range, the maximum number of recordings to return, and personId or hostEmail of whom the recordings will be retrieved.

  • Read

    Get Group Recording Details

    Retrieves details for a group recording for a service app which has group recording access. Only recordings which are in the available status and not shared by others can be listed. Those in the deleted or purged status or shared by others can't be listed.

  • Write

    Move Recordings into the Recycle Bin

    Move recordings into the recycle bin with recording IDs. Recordings in the recycle bin can be recovered by Restore Recordings from Recycle Bin API.

  • Write

    Restore Recordings from Recycle Bin

    Restore all or some recordings from the recycle bin. Only recordings of meetings hosted by the authenticated user can be restored from recycle bin. If restoreAll is true, recordingIds should be empty.

  • Write

    Share a Recording

    Share or unshare a recording with other users by recording ID and email addresses.

  • Destructive

    Delete a Recording By an Admin

    Removes a recording with a specified recording ID by an admin. The deleted recording cannot be recovered. It will be inaccessible to regular users (host, attendees and shared) or an admin, but it will be still available to the Compliance Officer.

  • Destructive

    Delete a Recording

    Removes a recording with a specified recording ID. The deleted recording cannot be recovered.

  • Destructive

    Purge Recordings from Recycle Bin

    Purge recordings from recycle bin with recording IDs or purge all the recordings that are in the recycle bin. Only recordings of meetings hosted by the authenticated user can be purged from recycle bin. If purgeAll is true, recordingIds should be empty.

Site

  • Read

    Get Meeting Common Settings Configuration

    Site administrators can use this API to get a list of functions, options, and privileges that are configured for their Webex service sites.

  • Read

    List Site(s)

    Retrieve a list of Site(s) in a given organization.

  • Read

    Get specific Site by ID

    Retrieve an existing Site by ID in a given organization.

  • Read

    List references for a specific Site

    Retrieve a list of all entities that have reference to an existing Site by ID in a given organization.

  • Read

    List Site(s)

    Retrieve a list of Site(s) in a given organization.

  • Write

    Update Meeting Common Settings Configuration

    Site administrators can use this API to update the option of features, options and privileges that are configured for their WebEx service sites.

  • Write

    Create a new Site

    Create a new Site in a given organization.

  • Write

    Bulk save Site(s)

    Create, Update or delete Site(s) in bulk in a given organization.

  • Destructive

    Purge inactive Site(s)

    Purge inactive Site(s) older than the configured interval for a given organization.

  • Destructive

    Update specific Site by ID

    Update an existing Site by ID in a given organization.

  • Destructive

    Delete specific Site by ID

    Delete an existing Site by ID in a given organization.

Slido Secure Premium

  • Read

    List Compliance Events

    Lists events representing actions that occurred during a Slido Secure Premium session (creating a poll, modifying a poll, activating a poll, posting an answer, etc.) Events capture who performed the action and on what resource.

Video Mesh

  • Read

    List Clusters Availability

    Returns the availability details for all Video Mesh clusters in an organization.

  • Read

    Get Cluster Availability

    Returns the availability details of a single Video Mesh cluster in an organization.

  • Read

    List Node Availability

    Returns the availability details of all nodes in a Video Mesh cluster.

  • Read

    Get Node Availability

    Returns the availability details of a single node in a Video Mesh cluster.

  • Read

    List Media Health Monitoring Tool Test results V2

    Returns the test results of the Media Health Monitoring Tool tests for an organization. Changes in V2: On-demand test results can be obtained along with the periodic tests that are executed on Video Mesh nodes.

  • Read

    Get Media Health Monitoring Tool Test results for clusters V2

    Returns the test results of the Media Health Monitoring Tool tests for a single Video Mesh cluster. Changes in V2: On-demand test results can be obtained along with the periodic tests that are executed on Video Mesh nodes.

  • Read

    Get Media Health Monitoring Tool Test results for node V2

    Returns the test results of the Media Health Monitoring Tool tests for a single Video Mesh node. Changes in V2: On-demand test results can be obtained along with the periodic tests that are executed on Video Mesh nodes.

  • Read

    List Overflow to Cloud details

    Returns details of overflows to the cloud in an organization.

  • Read

    List Cluster Redirect details

    Returns the redirect details of all Video Mesh clusters in an organization.

  • Read

    Get Cluster Redirect details

    Returns details of cluster redirects for a single Video Mesh cluster.

  • Read

    List Clusters Utilization

    Returns the utilization details of all Video Mesh clusters in an organization.

  • Read

    Get Cluster Utilization details

    Returns the utilization details for a single Video Mesh cluster.

  • Read

    List Reachability Test results V2

    Returns the test results of the Reachability tests for an organization. Changes in V2: 1. On-demand test results can be obtained along with the periodic tests that are executed on Video Mesh nodes. 2.

  • Read

    Get Reachability Test results for cluster V2

    Returns the test results of the Reachability tests for a single Video Mesh cluster. Changes in V2: 1. On-demand test results can be obtained along with the periodic tests that are executed on Video Mesh nodes. 2.

  • Read

    Get Reachability Test results for node V2

    Returns the test results of the Reachability tests for a single Video Mesh node. Changes in V2: 1. On-demand test results can be obtained along with the periodic tests that are executed on Video Mesh nodes. 2.

  • Read

    List Cluster Details

    Returns the cluster details of all Video Mesh clusters in an organization.

  • Read

    Get Cluster Details

    Returns the cluster details for a single Video Mesh cluster.

  • Read

    Get Triggered test status

    Returns the status of the test triggered using the Trigger on-demand test API.

  • Read

    Get Triggered test results

    Returns the results of the test triggered using the command ID. NOTE: The response format depends on the type of test triggered and it is the same as that of NetworkTest API, MediaHealthMonitorTest API, and ReachabilityTest API respectively.

  • Read

    List Network Test results

    Returns the test results of the Network tests triggered for an organization. The tests listed below are run as a part of the Network Test execution on the node. Bandwidth Test - Tests the bandwidth parameters of the Video Mesh node's network.

  • Read

    Get Network Test results for cluster

    Returns the test results of the Network tests triggered for a single Video Mesh cluster. The tests listed below are run as a part of the Network Test execution on the node. Bandwidth Test - Tests the bandwidth parameters of the Video Mesh node's network.

  • Read

    Get Network Test results for node

    Returns the test results of the Network tests triggered for a single Video Mesh node. The tests listed below are run as a part of the Network Test execution on the node. Bandwidth Test - Tests the bandwidth parameters of the Video Mesh node's network.

  • Read

    List Cluster Client Type Distribution details

    Returns the client type distribution details for all Video Mesh clusters in an organization.

  • Read

    Get Cluster Client Type Distribution details

    Returns the client type distribution details for a single Video Mesh cluster.

  • Read

    List Event Threshold Configuration

    Returns the event threshold configurations for orgId or clusterId, with optional filters eventName and eventScope.

  • Read

    Get Event Threshold Configuration

    Returns the event threshold configurations for eventThresholdId.

  • Write

    Trigger on-demand test for cluster

    Triggers an on-demand test for a cluster. The test is run on a maximum of 10 nodes present in the cluster, chosen at random, or based on input from the user.

  • Write

    Trigger on-demand test for node

    Triggers an on-demand test for a node.

  • Write

    Update Event Threshold Configuration

    Updates an existing event threshold configuration for given Event Threshold IDs.

  • Write

    Reset Event Threshold Configuration

    Resets the existing event threshold configuration for given Event Threshold IDs to default value. To stop receiving webhook events, use the Webhooks API to delete the webhook in question.

Admin Audit Events

  • Read

    List Admin Audit Events

    List admin audit events in your organization. Several query parameters are available to filter the response. Long result sets will be split into pages. NOTE: A maximum of one year of audit events can be returned per request.

  • Read

    List Admin Audit Event Categories

    Get the list of all admin event categories.

Authorizations

  • Read

    List authorizations for a user

    Lists all authorizations for a user. Either personId or personEmail must be provided. This API does not support pagination.

  • Read

    Get expiration status for a token

    Epoch-based expiration time for the token.

  • Destructive

    Delete authorization of org and client ID

    Deletes an authorization by org ID and client ID.

  • Destructive

    Delete authorization

    Deletes an authorization by authorization ID. Specify the authorization Id in the authorizationId parameter in the URI, which was listed in the list resource.

Calling Metrics

  • Read

    Webex Calling Call Quality Stats

    Returns aggregated Webex Calling call and media-quality statistics for the authenticated organization. A call or media session is classified as good quality when all available audio and video quality measurements meet their defined thresholds.

Classifications

  • Read

    List classifications

    List all the space classifications configured in your org.

Data Sources

  • Read

    Retrieve All Data Sources

    Lists all data sources registered by the Service App. Requires the spark-admin:datasourceread scope.

  • Read

    Retrieve Data Source Schemas

    Lists the available data source schemas. A valid API access token is required, but no specific scope is needed.

  • Read

    Retrieve Details of a Specific Data Source Schema

    Retrieves details for a specific data source schema by schema ID. A valid API access token is required, but no specific scope is needed.

  • Read

    Retrieve Data Source Details

    Retrieves details for a data source by ID. Use a Service App token with the spark-admin:datasourceread scope.

  • Write

    Register a Data Source

    Register a data source with the Webex BYODS system. Authenticate using a Service App with the spark-admin:datasourcewrite scope. Schema IDs determine the types of data Webex sends to the DAP and the expected responses.

  • Destructive

    Update a Data Source

    Updates a data source. The fields you can update are audience, subject, nonce, url, and tokenLifetimeMinutes. You can set status from active to disabled only if you provide an errorMessage, which may be shown to the customer administrator in Control Hub.

  • Destructive

    Delete a Data Source

    Deletes a data source by ID. Specify the data source ID in the dataSourceId URI parameter.

Archive Users

  • Read

    Query Archive User

    Retrieves archived user information for the specified organization. Supported attributes are id, which is the unique identifier of a user in the system, and username. It is assigned when the user is created and can be retrieved through GET Users API.

API Domain Management

  • Read

    Get Domain Verification Token

    This endpoint helps generate a token for a given domain within the specified organization. The user needs to add this token as a 'TXT' record to the DNS server. Possible Error: - 409: The request encountered a resource conflict.

  • Write

    Verify Domain

    This endpoint helps verify a given domain within the specified organization. This API verifies domain ownership by looking up and validating the 'TXT' record for the domain. Once verified, domain enforcement will be applied to the organization.

  • Write

    Claim Domain

    This endpoint helps claim the given domain within the specified organization. The domain needs to be verified before it can be claimed. Note There's an organization-level boolean flag called 'enforceVerifiedDomains'.

  • Write

    Unverify Domain

    After you unclaim the domain, it will still be verified. Domain enforcement will still apply to the organization. The unverify endpoint helps to remove the domain ownership verification for the organization. Possible Error: - 400: The request was a Bad Request.

  • Write

    Unclaim Domain

    This API is used to unclaim a domain for the organization. The domain will remain verified, and domain enforcement will still apply to the given organization. Possible Error: - 400: The request was a Bad Request. The domain cannot be unclaimed.

Identity Organization

  • Read

    Get an organization

    Authorization OAuth token rendered by identity broker. One of the following OAuth scopes is required: - identity:organizationsrw - identity:organizationsread

  • Write

    Update an organization

    Authorization OAuth token rendered by identity broker. One of the following OAuth scopes is required: - identity:organizationsrw The following administrators can use this API: - idfulladmin Usage: 1.

  • Write

    Update Organization Authentication Configuration Settings

    Update the authentication configuration details, by organizationID. Specify the organization ID in the orgId parameter in the URI. Authorization OAuth token rendered by identity broker.

  • Write

    Update Organization Password Policy

    Update Organization Password Policy, by organizationID. Specify the organization ID in the orgId parameter in the URI. Authorization OAuth token rendered by identity broker.

  • Write

    Generate OTP

    This API allows an admin to generate a One-Time Password (OTP) for user accounts with userNameType set as partner-upn. The OTP is used by users to log in to any Webex application, whereupon they are asked to change their password.

Groups

  • Read

    List and Search Groups

    List groups in your organization. Set the includeMembers parameter to true to return group members. The total number of members returned is limited to 500. Use the startIndex and count parameters to page through result set. To search for a specific group use the filter parameter.

  • Read

    Get Group Details

    Get details for a group, by ID. Optionally, the members may be retrieved with this request. The maximum number of members returned is 500.

  • Write

    Create a Group

    Create a new group for a given organization. The group may optionally be created with group members.

  • Write

    Update a Group

    Update the group details, by ID. Specify the group ID in the groupId parameter in the URI.

  • Destructive

    Delete a Group

    Remove a group from the system. Specify the group ID in the groupId parameter in the URI.

SCIM 2 Groups

  • Read

    Get Group Members

    Returns the members of a group. - The default maximum number of members returned is 500. - Control parameters are available to page through the members and to control the size of the results. - Long result sets are split into pages.

  • Read

    Search groups

    Retrieve a list of groups in the organization. Long result sets are split into pages. Authorization An OAuth token rendered by Identity Broker.

  • Read

    Get a group

    Retrieve details for a group, by ID. Optionally, members can be retrieved with this request. The maximum number of members returned is 500. Authorization OAuth token rendered by Identity Broker.

  • Write

    Create a group

    Create a new group for a given organization. The group may optionally be created with group members. Authorization OAuth token returned by Identity Broker.

  • Write

    Update a group with PATCH

    Update group attributes with PATCH. Specify the group ID in the groupId parameter in the URI. Authorization OAuth token returned by Identity Broker.

  • Destructive

    Update a group with PUT

    Replace the contents of the Group. Specify the group ID in the groupId parameter in the URI. Authorization OAuth token returned by Identity Broker.

  • Destructive

    Delete a group

    Remove a group from the system. Specify the group ID in the groupId parameter in the URI. Authorization OAuth token rendered by Identity Broker.

Guest Management

  • Read

    Get Guest Count

    To retrieve the number of guests, the scopes guest-issuer:read or guest-issuer:write are needed.

  • Write

    Create a Guest

    Create a new token for a single guest user. The Service App that creates the guest must have the scope guest-issuer:write. Guests are implicitly created by retrieving the guest access token.

Historical Analytics APIs

Hybrid Clusters

  • Read

    List Hybrid Clusters

    List hybrid clusters for an organization. If no orgId is specified, the default is the organization of the authenticated user. Only an admin auth token with the spark-admin:hybridclustersread scope can list clusters.

  • Read

    Get Hybrid Cluster Details

    Shows details for a hybrid cluster, by ID. Only an admin auth token with the spark-admin:hybridclustersread scope can see cluster details.

Hybrid Connectors

  • Read

    List Hybrid Connectors

    List hybrid connectors for an organization. If no orgId is specified, the default is the organization of the authenticated user. Only an admin auth token with the spark-admin:hybridconnectorsread scope can list connectors.

  • Read

    Get Hybrid Connector Details

    Shows details for a hybrid connector, by ID. Only an admin auth token with the spark-admin:hybridconnectorsread scope can see connector details.

Licenses

  • Read

    List Licenses

    List all licenses for a given organization. If no orgId is specified, the default is the organization of the authenticated user. Response properties that are not applicable to the license will not be present in the response.

  • Read

    Get License Details

    Shows details for a license, by ID. Specify the license ID in the licenseId parameter in the URI. Use the optional query parameter includeAssignedTo to get a list of all objects that are assigned with the license.

  • Write

    Assign Licenses to Users

    Assign licenses and attendee siteUrls to existing users. Only an admin can assign licenses. Only existing users can be assigned a license.

Live Monitoring

  • Read

    Get Live Meeting metrics categorized by Country

    Retrieve live meeting metrics categorized by country for a specific meeting site or for all meeting sites owned by the customer. To retrieve live monitoring information, you must use an administrator token with the analytics:readall scope.

Organization Contacts

  • Read

    Get a Contact

    Shows details for an organization contact by ID. Specify the organization ID in the orgId parameter in the URI, and specify the contact ID in the contactId parameter in the URI. NOTE: The orgId used in the path for this API are the org UUIDs.

  • Read

    List Contacts

    List contacts in the organization. The default limit is 100. keyword can be the value of "displayName", "firstName", "lastName", "email". An empty string of keyword means get all contacts. groupIds is a comma separated list group IDs.

  • Write

    Create a Contact

    Creating a new contact for a given organization requires an org admin role.

  • Write

    Update a Contact

    Update details for contact by ID. Only an admin can update a contact. Specify the organization ID in the orgId parameter in the URI, and specify the contact ID in the contactId parameter in the URI.

  • Write

    Bulk Create or Update Contacts

    Create or update contacts in bulk. Update an existing contact by specifying the contact ID in the contactId parameter in the request body.

  • Write

    Bulk Delete Contacts

    Delete contacts in bulk.

  • Destructive

    Delete a Contact

    Remove a contact from the organization. Only an admin can remove a contact. Specify the organization ID in the orgId parameter in the URI, and specify the contact ID in the contactId parameter in the URI.

Organizations

  • Read

    List Organizations

    List all organizations visible by your account. The results will not be paginated.

  • Read

    Get Organization Details

    Shows details for an organization, by ID. Specify the org ID in the orgId parameter in the URI.

  • Destructive

    Delete Organization

    Deletes an organization, by ID. It may take up to 10 minutes for the organization to be deleted after the response is returned. Specify the org ID in the orgId parameter in the URI.

Partner Administrators

  • Read

    Get all customers managed by a partner admin

    Get all customer organizations managed by given partner admin, in the managedBy request parameter. The managedBy user typically has the role of a Partner Admin.

  • Read

    Get all partner admins assigned to a customer

    For a given customer, get all the partner admins with their role details. This does not include partner admins who have access through Customer Groups. This API can be used by Partner Full Admins. Specify the orgId in the path parameter.

  • Write

    Assign partner admin to a customer

    Assign a specific Partner Admin to a customer organization. The partner admin is a user that has the Partner Administrator role. Other partner roles, such as Partner Full Administrator are not applicable for this API, since this role manages all customer organizations.

  • Destructive

    Unassign partner admin from a customer

    Unassign a specific partner admin from a customer organization. Unassigning a customer organization from a partner admin does not remove the role from the user.

  • Destructive

    Revoke all partner admin roles for a given person ID

    Revoke all partner administrator roles from a user, thereby revoking access to Partner Hub and all managed customer organizations. This action does not grant or revoke Control Hub administrator roles (e.g. Full Administrator, User and Device Administrator, etc.).

Usage Reports

  • Read

    List usage reports

    Retrieves a list of usage reports for the organization. Supports optional filtering by resource type and creation date range. Each report has a reportId and may contain one or more generated files in reportFiles[].

  • Read

    Get available resource types

    Returns the list of available resource types that can be used for report generation, along with available data dates.

  • Read

    Get usage report details

    Retrieves detailed information for a specific usage report.

  • Read

    Download usage report file

    Downloads one completed report file as a binary stream. Use the fileId returned in the report's reportFiles array. A reportId identifies the overall report and cannot be used with this endpoint.

  • Write

    Create usage report

    Creates a new usage report for the specified organization, resource type, and date range. The report is generated asynchronously in the background. A single usage report (reportId) is always created for each request.

  • Destructive

    Delete usage report

    Deletes the specified usage report and its associated file. This operation cannot be undone.

Partner Reports/Templates

  • Read

    List Report Templates

    List report templates. Report templates are available for use with the Partner Reports API. To access this endpoint, you must use an administrator token with spark-admin:reportsread and identity:peopleread scopes.

  • Write

    Create a Report

    Create a new report. A new report can be created using templateId available from the List Report Templates API. For each templateId, there are a set of validation rules that need to be followed. The templateId parameter is a number. However, it is a limitation of developer.webex.

Reports

  • Read

    Get Report Details

    Shows details for a report, by report ID. Specify the report ID in the reportId parameter in the URI. Notes: CSV reports for Webex suite services are only supported for organizations based in the North American region.

  • Write

    Create a Report

    Create a new report. For each templateId, there are a set of validation rules that need to be followed. For example, for templates belonging to Webex, the user needs to provide siteUrl. These validation rules can be retrieved via the Report Templates API.

  • Destructive

    Delete a Report

    Remove a report from the system. Specify the report ID in the reportId parameter in the URI CSV reports for Webex suite services are only supported for organizations based in the North American region.

Report Templates

  • Read

    List Report Templates

    List all the available report templates that can be generated. CSV (comma separated value) reports for Webex services are only supported for organizations based in the North American region. Organizations based in other regions will return blank CSV files for any Webex reports.

Resource Group Memberships

  • Read

    List Resource Group Memberships

    Lists all resource group memberships for an organization. Use query parameters to filter the response.

  • Read

    List Resource Group Memberships V2

    Lists all resource group memberships for an organization having filtering option based on entity type (User / Workspace). Use query parameters to filter the response.

  • Read

    Get Resource Group Membership Details

    Shows details for a resource group membership, by ID. Specify the resource group membership ID in the resourceGroupMembershipId URI parameter.

  • Destructive

    Update a Resource Group Membership

    Updates a resource group membership, by ID. Specify the resource group membership ID in the resourceGroupMembershipId URI parameter. Only the resourceGroupId can be changed with this action. Resource group memberships with a status of "pending" cannot be updated.

Resource Groups

  • Read

    List Resource Groups

    List resource groups. Use query parameters to filter the response.

  • Read

    Get Resource Group Details

    Shows details for a resource group, by ID. Specify the resource group ID in the resourceGroupId parameter in the URI.

Roles

  • Read

    List Roles

    List all roles. Must be called by an admin user.

  • Read

    Get Role Details

    Shows details for a role, by ID. Specify the role ID in the roleId parameter in the URI.

Bulk Manage SCIM 2 Users and Groups

  • Write

    User bulk API

    Authorization OAuth token rendered by Identity Broker. One of the following OAuth scopes is required: - identity:peoplerw Usage: 1. The input JSON must conform to the following schema: 'urn:ietf:params:scim:api:messages:2.0:BulkRequest'. 1.

SCIM 2 Schemas

  • Read

    Get Group Schema

    This API allows the service client to get all the Group schemas information from CI. Authorization: OAuth token rendered by Identity Broker.

  • Read

    Get User Schema

    This API allows the service client to get all the User schemas information from CI. Authorization: OAuth token rendered by Identity Broker.

  • Read

    Get Schema using Group Schema ID

    This API allows the service client to get the Group/User Schema using Schema Id from CI. Example: - urn:ietf:params:scim:schemas:core:2.0:Group is one of the Group Schema Id. Using this particular ID, we can fetch all information related to it.

SCIM 2 Users

  • Read

    Search users

    Authorization OAuth token rendered by Identity Broker. One of the following OAuth scopes is required: - identity:peoplerw - identity:peopleread The following administrators can use this API: - idfulladmin - iduseradmin - idreadonlyadmin - iddeviceadmin

  • Read

    Get a user

    Authorization OAuth token rendered by Identity Broker. One of the following OAuth scopes is required: - identity:peoplerw - identity:peopleread The following administrators can use this API: - idfulladmin - iduseradmin - idreadonlyadmin - iddeviceadmin

  • Read

    Get Me

    Authorization OAuth token rendered by Identity Broker. One of the following OAuth scopes is required: - identity:peoplerw - identity:peopleread The API can be used by any user to retrieve user information using their own access token.

  • Write

    Create a user

    The SCIM 2 /Users API provides a programmatic way to manage users in Webex Identity using The Internet Engineering Task Force standard SCIM 2.0 standard as specified by RFC 7643 SCIM 2.0 Core Schema and RFC 7644 SCIM 2.0 Core Protocol.

  • Write

    Update a user with PATCH

    Authorization OAuth token rendered by Identity Broker. One of the following OAuth scopes is required: - identity:peoplerw The following administrators can use this API: - idfulladmin - iduseradmin Usage: 1.

  • Destructive

    Update a user with PUT

    Authorization OAuth token rendered by Identity Broker. One of the following OAuth scopes is required: - identity:peoplerw The following administrators can use this API: - idfulladmin - iduseradmin Usage: 1.

  • Destructive

    Delete a user

    Authorization OAuth token rendered by Identity Broker. One of the following OAuth scopes is required: - identity:peoplerw The following administrators can use this API: - idfulladmin - iduseradmin

Security Audit Events

  • Read

    List Security Audit Events

    List Security Audit Events. This API currently returns user sign-in and sign-out data. To call this API the audit:eventsread scope must be selected for the Integration or Service App and authorized by a Full Admin. Several query parameters are available to filter the response.

Send Activation Email

  • Read

    Get Bulk Activation Email Resend Job Status

    Get the details of an activation email resend job by its job ID. Requires a full or user administrator auth token with a scope of spark-admin:peoplewrite or read-only administrator auth token with a scope of spark-admin:peopleread.

  • Read

    Get Bulk Activation Email Resend Job Errors

    Get errors of an activation email resend job by its job ID. Requires a full or user administrator auth token with a scope of spark-admin:peoplewrite or read-only administrator auth token with a scope of spark-admin:peopleread.

  • Write

    Initiate Bulk Activation Email Resend Job

    Initiate a bulk activation email resend job that sends an activation email to all eligible users in an organization. Only a single instance of the job can be running for an organization. Requires a full or user administrator auth token with a scope of spark-admin:peoplewrite.

Service Apps

  • Write

    Create Service App Access Token

    Retrieves an organization specific token pair for an already authorized Service App. Service Apps use machine accounts to make API calls on behalf of an organization, independent of individual user life cycles.

Settings

  • Read

    Get an Organization Setting

    This endpoint retrieves the specified setting for the given organization and is accessible with the scope 'identity:organizationsread'.

  • Write

    Create or Update an Organization Setting

    This endpoint creates or updates the specified setting for the given organization; however, the 'name' of the setting cannot be modified. It is accessible with the scope 'identity:organizationsrw'.

Partner Tags

  • Read

    Retrieve all customer tags

    Retrieves all tags which are being used by any customer organizations. Once a tag is unassigned from the last customer, it is automatically removed and is not returned by this API. This API can be used by a partner full admin, a read-only partner, or an partner admin.

  • Read

    Get customer organization's tags

    Retrieve tags associated with a customer organization based on the orgId provided. This API can be used by a partner full admin, a read-only partner, or an partner admin. Specify the customer orgId in the orgId parameter in the URI.

  • Read

    Fetch all customers for a given set of tags

    For a set of tags, retrieve all customer organizations that match any one of the tags. This API can be used by a partner full admin, a read-only partner, or an partner admin.

  • Read

    Subscription List on a given tag name or a set of tags

    For a partner organization fetch all it's subscriptions with their tag list for a given tag names. This API can be used by partner full admins, partner admins and admin read-only partners.

  • Read

    Fetch a Subscription

    For a given partner org, customer org and external subscription id, fetch subscription details with its associated tags. This API can be used by partner full admins, partner admins and admin read-only partners.

  • Write

    Create or Replace existing customer tags with the provided ones

    Assign or replace tag(s) which for a customer organization. If the tag doesn't already exist, a new one is created and assigned to the customer automatically. This API can be used by partner full admins and partner admins. Each tag has a character limit of 25.

  • Write

    Create or Replace existing subscription tags with the provided ones

    Assign or replace tags specific to each subscription for an organization. Each organization may have one or more subscriptions. This API can be used by partner full admins and partner admins. Currently there is a limit of 5 tags per subscription when creating tags.

Workspace Metrics

  • Read

    Workspace Metrics

    Get metric data for the specified workspace and metric name, optionally aggregated over a specified time period. The workspaceId and metricName parameters indicate which workspace to fetch metrics for and what kind of metrics to get.

  • Read

    Workspace Duration Metrics

    Get metrics for how much time a workspace has been in the state given by the measurement parameter. For example, if the measurement is timeBooked then the duration for which the workspace has been booked is returned.

Device Call Settings

  • Read

    Get Device Members

    Get the list of all the members of the device including primary and secondary users. A device member can be either a person or a workspace. An admin can access the list of member details, modify member details and search for available members on a device.

  • Read

    Search Members

    Search members that can be assigned to the device. A device member can be either a person or a workspace. A admin can access the list of member details, modify member details and search for available members on a device.

  • Read

    Get Count of Members

    Get the count of members that can be assigned to the device. A device member can be either a person or a workspace. This requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Get Count of Available Members

    Get the count of members that can be assigned to devices. A device member can be either a person or a workspace. This requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Get Device Settings

    Get override settings for a device. Device settings lists all the applicable settings for MPP, ATA and Wifi devices at the device level. An admin can also modify the settings. DECT devices do not support settings at the device level.

  • Read

    Get Location Device Settings

    Get device override settings for a location. This requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Get Webex Calling Device Details

    Not supported for Webex for Government (FedRAMP) Retrieves Webex Calling device details that include information needed for third-party device management. Webex calling devices are associated with a specific user Workspace or Virtual Line.

  • Read

    Get Person Devices

    Get all devices for a person. This requires a full or read-only administrator or location administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Get Workspace Devices

    Get all devices for a workspace. This requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Read the device override settings for a organization

    Get device override settings for an organization. Retrieving this list requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Read the list of Line Key Templates

    List all Line Key Templates available for this organization. Line Keys also known as Programmable Line Keys (PLK) are the keys found on either sides of a typical desk phone display.

  • Read

    Get details of a Line Key Template

    Get detailed information about a Line Key Template by template ID in an organization. Line Keys, also known as Programmable Line Keys (PLK), are the keys found on either side of a typical desk phone display.

  • Read

    Preview Apply Line Key Template

    Preview the number of devices that will be affected by the application of a Line Key Template or when resetting devices to their factory Line Key settings. Line Keys, also known as Programmable Line Keys (PLK), are the keys found on either side of a typical desk phone display.

  • Read

    Get List of Apply Line Key Template jobs

    Get the list of all apply line key templates jobs in an organization. Line Keys also known as Programmable Line Keys (PLK) are the keys found on either sides of a typical desk phone display.

  • Read

    Get the job status of an Apply Line Key Template job

    Get the status of an apply line key template job by its job ID. Line Keys also known as Programmable Line Keys (PLK) are the keys found on either sides of a typical desk phone display.

  • Read

    Get job errors for an Apply Line Key Template job

    GET job errors for an apply Line Key Template job in an organization. Line Keys also known as Programmable Line Keys (PLK) are the keys found on either sides of a typical desk phone display.

  • Read

    Read the DECT device type list - Deprecated

    Not supported for Webex for Government (FedRAMP). The REST path for this API has changed to [GET /telephony/config/devices/dectNetworks/supportedDevices{?orgId}]. The use of this old REST path is deprecated and will be decommissioned on October 10, 2024.

  • Read

    Read the DECT device type list

    Not supported for Webex for Government (FedRAMP). Get DECT device type list with base stations and line ports supported count. This is a static list. Retrieving this list requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Validate a list of MAC address

    Validate a list of MAC addresses. Validating this list requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigwrite.

  • Read

    List Change Device Settings Jobs

    List change device settings jobs. Lists all the jobs for jobType calldevicesettings for the given organization in order of most recent one to oldest one irrespective of its status.

  • Read

    Get Change Device Settings Job Status

    Get change device settings job status. Provides details of the job with jobId of jobType calldevicesettings. This API requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    List Change Device Settings Job Errors

    List change device settings job errors. Lists all error details of the job with jobId of jobType calldevicesettings. This API requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Get Device Layout by Device ID

    Get layout information of a device by device ID in an organization. Device layout customizes a user’s programmable line keys (PLK) on the phone and any attached Key Expansion Modules (KEM) with the existing configured line members and the user’s monitoring list.

  • Read

    List Rebuild Phones Jobs

    Not supported for Webex for Government (FedRAMP) . Get the list of all Rebuild Phones jobs in an organization. Rebuild phones jobs are used when there is a change in the network configuration of phones in a location, i.e.

  • Read

    Get the Job Status of a Rebuild Phones Job

    Not supported for Webex for Government (FedRAMP) . Get the details of a rebuild phones job by its job ID. Rebuild phones jobs are used when there is a change in the network configuration of phones in a location, i.e.

  • Read

    Get Job Errors for a Rebuild Phones Job

    Not supported for Webex for Government (FedRAMP) . Get errors for a rebuild phones job in an organization. Rebuild phones jobs are used when there is a change in the network configuration of phones in a location, i.e.

  • Read

    Get Device Settings for a Person

    Device settings list the compression settings for a person. Device settings customize a device's behavior and performance. The compression field optimizes call quality for inbound and outbound calls.

  • Read

    Get Device Settings for a Workspace

    Device settings list the compression settings for a workspace. Device settings customize a device's behavior and performance. The compression field optimizes call quality for inbound and outbound calls.

  • Read

    Read the List of Background Images

    Gets the list of device background images for an organization. Webex Calling supports the upload of up to 100 background image files for each org. These image files can then be referenced by MPP phones in that org for use as their background image.

  • Read

    Get User Devices Count

    Get the total device and application count for a person. The device count can be used to determine if more devices can be added for users with a device count limit. For example, users with standard calling licenses can only have one physical device.

  • Write

    Apply Changes for a specific device

    Issues request to the device to download and apply changes to the configuration. Applying changes for a specific device requires a full administrator auth token with a scope of spark-admin:telephonyconfigwrite.

  • Write

    Create a Line Key Template

    Create a Line Key Template in this organization. Line Keys, also known as Programmable Line Keys (PLK), are the keys found on either side of a typical desk phone display.

  • Write

    Apply a Line Key Template

    Apply a Line Key Template or reset devices to their factory Line Key settings. Line Keys, also known as Programmable Line Keys (PLK), are the keys found on either side of a typical desk phone display.

  • Write

    Change Device Settings Across Organization Or Location Job

    Change device settings across organization or locations jobs. Performs bulk and asynchronous processing for all types of device settings initiated by organization and system admins in a stateful persistent manner.

  • Write

    Rebuild Phones Configuration

    Not supported for Webex for Government (FedRAMP) . Rebuild all phone configurations for the specified location. Rebuild phones jobs are used when there is a change in the network configuration of phones in a location, i.e.

  • Write

    Upload a Device Background Image

    Configure a device's background image by uploading an image with file format, .jpeg or .png, encoded image file. Maximum image file size allowed to upload is 625 KB.

  • Destructive

    Update Members on the device

    Modify member details on the device. A device member can be either a person, virtual line or a workspace. An admin can access the list of member details, modify member details and search for available members on a device.

  • Destructive

    Update device settings

    Modify override settings for a device. Device settings list all the applicable settings for an MPP and an ATA devices at the device level. Admins can also modify the settings. NOTE: DECT devices do not support settings at the device level.

  • Destructive

    Update Third Party Device

    Not supported for Webex for Government (FedRAMP) Modify a device's sipPassword. Updating sipPassword on the device requires a full or user administrator auth token with a scope of spark-admin:telephonyconfigwrite.

  • Destructive

    Modify Hoteling Settings for a Person's Primary Devices

    Modify hoteling login configuration on a person's Webex Calling Devices which are in effect when the device is the user's primary device and device type is PRIMARY. To view the current hoteling login settings, see the hoteling field in Get Person Devices.

  • Destructive

    Modify Workspace Devices

    Modify devices for a workspace. Modifying devices for a workspace requires a full administrator auth token with a scope of spark-admin:telephonyconfigwrite.

  • Destructive

    Modify a Line Key Template

    Modify a Line Key Template by its template ID in an organization. Line Keys, also known as Programmable Line Keys (PLK), are the keys found on either side of a typical desk phone display.

  • Destructive

    Delete a Line Key Template

    Delete a Line Key Template by its template ID in an organization. Line Keys also known as Programmable Line Keys (PLK) are the keys found on either sides of a typical desk phone display.

  • Destructive

    Modify Device Layout by Device ID

    Modify the layout of a device by device ID in an organization. Device layout customizes a user’s programmable line keys (PLK) on the phone and any attached Key Expansion Modules (KEM) with the existing configured line members and the user’s monitoring list.

  • Destructive

    Update Device Settings for a Person

    Update device settings modifies the compression settings for a person. Device settings customize a device's behavior and performance. The compression field optimizes call quality for inbound and outbound calls.

  • Destructive

    Update Device Settings for a Workspace

    Update device settings modifies the compression settings for a workspace. Device settings customize a device's behavior and performance. The compression field optimizes call quality for inbound and outbound calls.

  • Destructive

    Delete Device Background Images

    Delete the list of designated device background images for an organization. Maximum is 10 images per request. Deleting a device background image requires a full or device administrator auth token with a scope of spark-admin:telephonyconfigwrite.

Device Call Settings With Device Dynamic Settings

  • Read

    Read the List of Supported Devices

    Gets the list of supported devices for an organization. Retrieving this list requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    Get Settings Groups

    This API returns the settingsGroups that define the structure and association of tags for device dynamic settings. The settingsGroups are used to organize the tags into logical groups, making it easier to manage and configure device dynamic settings.

  • Read

    Get Customer Device Dynamic Settings

    Retrieve dynamic settings for specific device tags at customer level, allowing filters by familyOrModelDisplayName and tag identifier. This API lets you request the values of multiple Device Settings at once by specifying a list of familyOrModelDisplayName and tag combinations.

  • Read

    Get Location Device Dynamic Settings

    Retrieve dynamic settings for specific device tags at the specified location level, allowing filters by familyOrModelDisplayName and tag identifier.

  • Read

    Get Device Dynamic Settings

    Retrieve settings for a specified device. This API retrieves device settings based on the specified tags; if the tags field is empty or missing, all settings for the device are returned.

  • Read

    List Device Dynamic Settings Jobs

    List device dynamic settings jobs. Lists all the jobs for job type dynamicdevicesettings for the given organization in order of most recent one to oldest one irrespective of its status.

  • Read

    Get Device Dynamic Settings Job Status

    Get device dynamic settings job status. Provides details of the job with jobId of jobType dynamicdevicesettings. This API requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Read

    List Device Dynamic Settings Job Errors

    List Update device dynamic settings job errors. Lists all error details of the job with jobId of jobType dynamicdevicesettings. This API requires a full or read-only administrator auth token with a scope of spark-admin:telephonyconfigread.

  • Write

    Update Device Dynamic Settings Across Organization or Location

    Creates a job to update device settings at location or organization level. The job runs asynchronously and persistently, applying the requested settings in bulk to all relevant devices, which may belong to multiple families as specified in the request.

  • Destructive

    Update Device Dynamic Settings

    Modify dynamic settings for a specified device. This API updates device settings based on the specified tags. If the tags field is empty, the request has no effect.

Beta Device Call Settings With Dynamic Device Settings

  • Read

    Get Validation Schema

    This API returns the validation schema for tags of all or specific familyOrModelDisplayName. The schema is used to validate the tag for devices in the Webex Calling platform.

Device Configurations

  • Read

    List Device Configurations for device

    Lists all device configurations associated with the given device ID. Administrators can list configurations for all devices within an organization.

  • Write

    Update Device Configurations

    Edit configurations for the device specified by device ID.

Devices

  • Read

    List Devices

    Lists all active Webex devices associated with the authenticated user, such as devices activated in personal mode. This requires the spark:devicesread scope. Administrators can list all devices within their organization.

  • Read

    Get Device Details

    Shows details for a device, by ID. This requires an auth token with the spark:devicesread scope to see your own device, or spark-admin:devicesread to see any other device in your organization. Specify the device ID in the deviceId parameter in the URI.

  • Write

    Create a Device by MAC Address

    Create a phone by its MAC address in a specific workspace or for a person. Specify the mac, model and either workspaceId or personId. You can get the model from the supported devices API. Either workspaceId or personId should be provided.

  • Write

    Modify Device Tags

    Create, delete or update tags on a device. For your own device, this requires an auth token with the spark:deviceswrite scope. An auth token with the spark-admin:deviceswrite scope is required to operate on other devices within the organization.

  • Write

    Create a Device Activation Code

    Generate an activation code for a device in a specific workspace by workspaceId or for a person by personId.

  • Destructive

    Delete a Device

    Deletes a device, by ID. Deleting your own device requires an auth token with the spark:deviceswrite scope. Deleting any other device in the organization will require an administrator auth token with the spark-admin:deviceswrite scope.

Hot Desk

  • Read

    List Sessions

    List hot desk sessions. Use query parameters to filter the response. The orgId parameter is for use by partner administrators acting on a managed organization.

  • Destructive

    Delete Session

    Delete a hot desk session.

Locations

  • Read

    List Locations

    List locations for an organization. Use query parameters to filter the result set by location name, ID, or organization. Long result sets will be split into pages.

  • Read

    Get Location Details

    Shows details for a location, by ID. Specify the location ID in the locationId parameter in the URI. Use query parameter orgId to filter the result set by organization(optional).

  • Read

    List Location Floors

    List location floors. Requires an administrator auth token with the spark-admin:locationsread scope.

  • Read

    Get Location Floor Details

    Shows details for a floor, by ID. Specify the floor ID in the floorId parameter in the URI. Requires an administrator auth token with the spark-admin:locationsread scope.

  • Write

    Create a Location

    Create a new Location for a given organization. Only an admin in the organization can create a new Location. Creating a location in your organization requires a full administrator auth token with a scope of spark-admin:locationswrite.

  • Write

    Create a Location Floor

    Create a new floor in the given location. The displayName parameter is optional, and omitting it will result in the creation of a floor without that value set. Requires an administrator auth token with the spark-admin:locationswrite scope.

  • Destructive

    Update a Location

    Update details for a location, by ID. Updating a location in your organization requires a full administrator or location administrator auth token with a scope of spark-admin:locationswrite. Specify the location ID in the locationId parameter in the URI.

  • Destructive

    Delete Location

    Delete a location, by ID. Specify the location ID in the locationId parameter in the URI. Deleting a location in your organization requires a full administrator auth token with a scope of spark-admin:locationswrite.

  • Destructive

    Update a Location Floor

    Updates details for a floor, by ID. Specify the floor ID in the floorId parameter in the URI. Include all details for the floor returned by a previous call to Get Location Floor Details.

  • Destructive

    Delete a Location Floor

    Deletes a floor, by ID. Requires an administrator auth token with the spark-admin:locationswrite scope.

Workspace Personalization

  • Read

    Get Personalization Task

    Returns the status of a personalization task for a given workspace. Whilst in progress the endpoint will return Accepted and provide a Retry-After header indicating the number of seconds a client should wait before retrying.

  • Write

    Personalize a Workspace

    Initializes the personalization for a given workspace for the user email provided. The personalization process is asynchronous and thus a background task is created when this endpoint is invoked.

Workspaces

  • Read

    List Workspaces

    List workspaces. Use query parameters to filter the response. The orgId parameter can only be used by admin users of another organization (such as partners).

  • Read

    Get Workspace Details

    Shows details for a workspace, by ID. The locationId, workspaceLocationId, floorId, indoorNavigation, capacity, type and notes fields will only be present if they have been set for the workspace. Specify the workspace ID in the workspaceId parameter in the URI.

  • Read

    Get Workspace Capabilities

    Shows the capabilities for a workspace by ID. Returns a set of capabilities, including whether or not the capability is supported by any device in the workspace, and if the capability is configured (enabled).

  • Destructive

    Update a Workspace

    Updates details for a workspace by ID. Specify the workspace ID in the workspaceId parameter in the URI. Include all details for the workspace that are present in a GET request for the workspace details.

  • Destructive

    Delete a Workspace

    Deletes a workspace by ID. Also deletes all devices associated with the workspace. Any deleted devices will need to be reactivated. Specify the workspace ID in the workspaceId parameter in the URI.

Journey Workspace management API

  • Read

    Get Workspace

    Get workspace details. Use the cjp scope if you have a contact center license; otherwise, use the cjds scope. It requires the appropriate cjds:adminorgread or cjds:adminorgwrite scopes or cjp:configread or cjp:configwrite scopes

  • Read

    Get All Workspaces

    Get All Workspaces. Use the cjp scope if you have a contact center license; otherwise, use the cjds scope. It requires the appropriate cjds:adminorgread or cjds:adminorgwrite scopes or cjp:configread or cjp:configwrite scopes

  • Write

    Create Workspace

    Create Workspace in JDS. Use the cjp scope if you have a contact center license; otherwise, use the cjds scope.It requires the appropriate cjds:adminorgwrite or cjp:configwrite scopes

  • Destructive

    Update Workspace

    Update workspace by Id. Use the cjp scope if you have a contact center license; otherwise, use the cjds scope. It requires the appropriate cjds:adminorgwrite or cjp:configwrite scopes

  • Destructive

    Delete Workspace

    Delete Workspace By Id. Use the cjp scope if you have a contact center license; otherwise, use the cjds scope. It requires the appropriate cjds:adminorgwrite or cjp:configwrite scopes

X API

  • Read

    Query Status

    Query the current status of the Webex RoomOS Device. You specify the target device in the deviceId parameter in the URI. The target device is queried for statuses according to the expression in the name parameter.

  • Read

    Query Schema

    Query the schema for statuses and commands of Webex RoomOS Devices. You specify the target devices in the deviceId parameter in the URI. Querying command schemas requires the spark:xapicommands scope and querying status schemas requires the spark:xapistatuses scope.

  • Write

    Execute Command

    Executes a command on the Webex RoomOS Device. Specify the command to execute in the commandName URI parameter. See the xAPI section of the Device Developers Guide for a description of command expressions.

DECT Devices Settings

  • Read

    Get the List of DECT Networks for an Organization

    Retrieves the list of DECT networks for an organization. DECT Networks provide roaming voice services via base stations and wireless handsets. A DECT network can be provisioned up to 1000 lines across up to 254 base stations.

  • Read

    Get DECT Network Details

    Retrieves the details of a DECT network. DECT Networks provide roaming voice services via base stations and wireless handsets. A DECT network can be provisioned up to 1000 lines across up to 254 base stations.

  • Read

    Get a List of DECT Network Base Stations

    Retrieve a list of base stations in a DECT Network. A DECT network supports 2 types of base stations, DECT DBS-110 Single-Cell and DECT DBS-210 Multi-Cell. A DECT DBS-110 allows up to 30 lines of registration and supports 1 base station only.

  • Read

    Get the Details of a Specific DECT Network Base Station

[...]
